#ifndef DYNAMIC_NODES_H
#define DYNAMIC_NODES_H

/**
 **  Protos fr die Node-Routinen in "DynamicNodes.o"
 **/

#ifndef EXEC_LISTS_H
#include "exec/lists.h"
#endif /* EXEC_LISTS_H */

/* Node allokieren, ln_Name auf bergebenen String setzen */
struct Node *AllocNode( const STRPTR );
/* mit AllocNode() besorgte Node freigeben. NULL erlaubt */
void			 FreeNode( struct Node * );
/* ln_Name einer mit AllocNode() besorgten Node durch neuen String ersetzen */
struct Node *InitNode( struct Node *, const STRPTR );
/* Datei laden (dos.library V36+) und pro Zeile eine Node in die List einfgen */
BOOL			 LoadTextNodes( const STRPTR, struct List * );
/* List mit Nodes von AllocNode() oder LoadTextNodes() freigeben. NULL erlaubt */
void			 FreeList( struct List * );

#endif /* DYNAMIC_NODES_H */
